/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.aop.precedence;

import org.jboss.aop.joinpoint.Invocation;
import org.jboss.aop.advice.Interceptor;

/**
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.8.2 $
 */
public class FirstInterceptor2 implements Interceptor
{
   public String getName() { return "FirstInterceptor2"; }

   public Object invoke(Invocation invocation) throws Throwable
   {
      System.out.println("FirstInterceptor2");
    	Interceptions.add("FirstInterceptor2");
   	return invocation.invokeNext();
   }
}
